import type { Task } from '../types';
import type { AnalyseFiles } from '../utils/getAnalyseFiles';
declare const analyseServices: readonly ["eslint", "prettier", "typescript"];
declare type AnalyseProps = {
    only?: typeof analyseServices[number];
    path?: string;
    all?: boolean;
    files?: AnalyseFiles;
};
declare const analyseTask: Task<AnalyseProps>;
export type { AnalyseProps };
export { analyseTask, analyseServices };
